Package pyxmpp :: Package jabber :: Module clientstream

[hide private]

# Module clientstream

source code

XMPP stream support with fallback to legacy non-SASL Jabber authentication.

Normative reference:
  - JEP 78

Classes | [hide private]

| LegacyClientStream Handles Jabber (both XMPP and legacy protocol) client connection stream.

Variables | [hide private]

| __revision__ = ``'``$Id: clientstream.py 683 2008-12-05 18:25:45Z` `...``
| __package__ = ``'``pyxmpp.jabber``'``

Imports: hashlib, sha, sha_factory, logging, Iq, to_utf8, from_utf8, JID, ClientStream, Register, ClientStreamError, LegacyAuthenticationError, RegistrationError

Variables Details | [hide private]

### __revision__

Value:

      '$Id: clientstream.py 683 2008-12-05 18:25:45Z jajcus $'